Name:          libcgicc
Version:       3.2.19
Release:       1%{?dist}
Summary:       Class Library for CGI applications
Group:         cgicc
License:       LGPLv3+ and GFDL
URL:           http://www.gnu.org/cgicc
Source0:       http://ftp.gnu.org/gnu/cgicc/cgicc-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: libtool
BuildRequires: doxygen
BuildRequires: gcc-c++

%description
GNU cgicc is an ANSI C++ compliant class library that greatly
simplifies the creation of CGI applications for the World Wide Web.
cgicc performs the following functions:

  * Parses both GET and POST form data transparently.
  * Provides string, integer, floating-point and single- and
    multiple-choice retrieval methods for form data.
  * Provides methods for saving and restoring CGI environments to aid
    in application debugging. 
  * Provides full on-the-fly HTML generation capabilities, with
    support for cookies.
  * Supports HTTP file upload.
  * Compatible with FastCGI.

%package devel
Summary:       Development files for cgicc
Requires:      %{name} = %{version}

%description devel
Development files for cgicc

%package doc
Summary:       Documentation files for cgicc

%description doc
Documentation files for cgicc

%prep
%setup -q -n cgicc-%{version}

%build
%configure --enable-demos=no
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}/usr/doc/cgicc-%{version} doc-built
rm -f %{buildroot}/%{_libdir}/libcgicc.a
rm -f %{buildroot}/%{_libdir}/libcgicc.la
rm -f %{buildroot}/%{_datadir}/licenses

%files
%license COPYING.LIB
%{_libdir}/libcgicc.so.*

%files devel
%{_bindir}/cgicc-config
%dir %{_includedir}/cgicc
%{_includedir}/cgicc/*
%{_libdir}/libcgicc.so
%{_libdir}/pkgconfig/cgicc.pc
%{_datadir}/aclocal/cgicc.m4

%files doc
%license COPYING.DOC
%doc doc-built/*

%changelog
* Tue Dec 14 2021 Thomas Sailer <fedora@tsailer.ch> - 3.2.19-1
- split development files and documentation into subpackages

